package Reldb.RelUserCode;

import org.reldb.rel.v0.types.*;
import org.reldb.rel.v0.types.builtin.*;
import org.reldb.rel.v0.types.userdefined.*;
import org.reldb.rel.v0.values.*;
import org.reldb.rel.v0.vm.Context;

public class op_TO_UPPER_CASE__CHARACTER {
	private static final ValueCharacter do_TO_UPPER_CASE(Context context, ValueCharacter s) {
		
		//          Converts all of the characters in this String to upper case using the rules of the default locale.
			return ValueCharacter.select(context.getGenerator(), s.stringValue().toUpperCase());
	}

	public static final void execute(Context context) {
		ValueCharacter p0 = (ValueCharacter)context.pop();
		context.push(do_TO_UPPER_CASE(context, p0));
	}
}